Index: /trunk/zoo-project/zoo-kernel/service_internal_saga.h
===================================================================
--- /trunk/zoo-project/zoo-kernel/service_internal_saga.h	(revision 634)
+++ /trunk/zoo-project/zoo-kernel/service_internal_saga.h	(revision 634)
@@ -0,0 +1,47 @@
+/*
+ * Author : Gérald FENOY
+ *
+ * Copyright (c) 2015 GeoLabs SARL
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+ * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+ * THE SOFTWARE.
+ */
+
+#ifndef ZOO_SERVICE_INTERNAL_SAGA_H
+#define ZOO_SERVICE_INTERNAL_SAGA_H 1
+
+#pragma once 
+
+#include <locale.h>
+#define _WX_WXCRTVARARG_H_
+#include <wx/string.h>
+#include <wx/app.h>
+#include <api_core.h>
+#include <data_manager.h>
+#include <module_library.h>
+
+#include "service.h"
+#include "service_internal.h"
+
+/**
+ * Global SAGA-GIS output counter 
+ */
+int sagaOutputCounter=0;
+int zoo_saga_support(maps**,map*,service*,maps**,maps**);
+
+#endif
Index: /trunk/zoo-project/zoo-kernel/zoo_service_loader.c
===================================================================
--- /trunk/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 633)
+++ /trunk/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 634)
@@ -58,4 +58,8 @@
 #ifdef USE_PYTHON
 #include "service_internal_python.h"
+#endif
+
+#ifdef USE_SAGA
+#include "service_internal_saga.h"
 #endif
 
@@ -695,4 +699,15 @@
     }
   else
+
+#ifdef USE_SAGA
+  if (strncasecmp (r_inputs->value, "SAGA", 6) == 0)
+    {
+      *eres =
+        zoo_saga_support (&m, request_inputs, s1,
+                            &request_input_real_format,
+                            &request_output_real_format);
+    }
+  else
+#endif
 
 #ifdef USE_OTB
